org.eclipse.swt.events

## Class TouchEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.events.TouchEvent

    public class TouchEvent
    extends TypedEvent

Instances of this class are sent in response to a touch-based input source being touched.

Since:
  1.4
See Also:
  `TouchListener`, Sample code and further information

### Field Summary

Fields
`int` `stateMask` The state of the keyboard modifier keys and mouse masks at the time the event was generated.
`Touch[]` `touches` The set of touches representing the state of all contacts with touch input device at the time the event was generated.
`int` `x` The widget-relative x coordinate of the pointer at the time the touch occurred.
`int` `y` The widget-relative y coordinate of the pointer at the time the touch occurred.

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Constructor Summary

Constructors
Constructor and Description
`TouchEvent(Event e)` Constructs a new instance of this class based on the information in the given untyped event.

### Method Summary

Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### touches

    public Touch[] touches

The set of touches representing the state of all contacts with touch input device at the time the event was generated.

See Also:
  `Touch`

#### stateMask

    public int stateMask

The state of the keyboard modifier keys and mouse masks at the time the event was generated.

See Also:
  `SWT.MODIFIER_MASK`, `SWT.BUTTON_MASK`

#### x

    public int x

The widget-relative x coordinate of the pointer at the time the touch occurred.

#### y

    public int y

The widget-relative y coordinate of the pointer at the time the touch occurred.

### Constructor Detail

#### TouchEvent

    public TouchEvent(Event e)

Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0